Subject: bug#24774: 26.0.50; Menu display navigation commands

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Feb 2021 11:24:05 +0200

On February 25, 2021 11:04:06 AM GMT+02:00, Stephen Berman <[email-masked]> wrote:
> On Wed, 24 Feb 2021 19:25:25 -0600 Stefan Kangas <[email-masked]>
> wrote:
> 
> > I do see this on both master and Emacs 27:
> >
> > emacs -Q foo.txt
> > M-: (featurep 'easymenu)
> > => t
> 
> I cannot reproduce this.  Also with this:
> 
> emacs-27 -Q --eval "(message \"easymenu is%s loaded\" (if (featurep
> 'easymenu) \"\" \" not\"))" foo.txt
> 
> C-x b *Messages*
> => easymenu is not loaded
> 
> Compare:
> 
> emacs-27 -Q --eval "(progn (load-library \"easymenu\") (message
> \"easymenu is%s loaded\" (if (featurep 'easymenu) \"\" \" not\")))"
> foo.txt
> 
> C-x b *Messages*
> => easymenu is loaded
> 
> If you don't get this difference, something is weird somewhere.

I'm guessing that Stefan did this in a Git-versioned tree, where visiting a file loads vc-git.el, which loads diff-mode.el, which loads easymenu.